package com.stupidbeauty.libexist.publishexample.activity;

import android.app.Activity;
import android.os.Bundle;
import com.stupidbeauty.exist.ExistMessageContainer;
import com.stupidbeauty.exist.ServicePublisher;
import com.stupidbeauty.libexist.publishexample.R;
import java.util.Timer;
import java.util.TimerTask;

public class PublishActivity extends Activity
{
	private Timer timer; //!< 用于驱动发布动作的定时器。
	private static final String LanServiceProtocolType = "HTTP"; //!< 服务协议类型是HTTP。
	private static final int LanServicePort = 15563;
	private static final String LanServiceName = "ExistAndroidPublishExample"; //!<局域网服务名字。

	/**publish_activity 活动被创建*/
	@Override
	protected void onCreate(Bundle savedInstanceState) 
	{
		super.onCreate(savedInstanceState);
		
		setContentView(R.layout.publish_activity);

		startPublishService(); //开始发布服务。
	} //protected void onCreate(Bundle savedInstanceState)

	/**
	 * 开始发布服务。
	 */
	private void startPublishService()
	{
		timer = new Timer();


		int t =  100;

		scheduleTimer(t); //启动定时器。

	} //private void startPublishService()

	/**
	 *  启动定时器。
	 * @param t 定时间隔。
     */
	private void scheduleTimer(int t)
	{
		timer.schedule(new TimerTask()
		{
			@Override
			public void run()
			{
				publishOnce(); //进行一次发布。
			}
		}, t,t);

	} //private void scheduleTimer(int t)

	/**
	 * 进行一次发布。
	 */
	private void publishOnce()
	{
		ServicePublisher servicePublisher=new ServicePublisher(this); //创建一个发布器。

		servicePublisher.publishService(LanServiceName,LanServicePort,LanServiceProtocolType); //发布服务。
	} //private void publishOnce()
}
